Issue 116940 - c.s.s.sheet.XExternalDocLink container is bugged
Summary: c.s.s.sheet.XExternalDocLink container is bugged
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: PC Windows XP
: P3 Trivial
Target Milestone: ---
Assignee: kla
QA Contact: issues@api
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-13 08:56 UTC by bmarcelly
Modified: 2017-05-20 09:32 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Simple document used as source of the cell link (8.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-02-13 08:58 UTC, bmarcelly
no flags Details
Document referencing one cell in zsource.ods. Contains a macro. (11.18 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-02-13 08:59 UTC, bmarcelly
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description bmarcelly 2011-02-13 08:56:56 UTC
Document cellLinks1.ods has one cell linked to a cell in document zsource.ods.
Both documents are stored in the same folder.

Exploring ExternalDocLinks shows that, for one of the XExternalDocLink
containers, method hasByName returns True but getByName throws exception No Such
Element.

Document cellLinks1.ods contains a macro proving this.
Important : the linked cell is in the first sheet.
This configuration shows a repeatable error, but other linked cells
configurations may work correctly or not, sometimes depending on the currently
active sheet and/or after a link update. Also "silent stop" of the macro may
happen in some configurations.
These random faults may be related to the problem reported in Issue 111412.
Comment 1 bmarcelly 2011-02-13 08:58:12 UTC
Created attachment 75827 [details]
Simple document used as source of the cell link
Comment 2 bmarcelly 2011-02-13 08:59:41 UTC
Created attachment 75828 [details]
Document referencing one cell in zsource.ods. Contains a macro.
Comment 3 Oliver Brinzing 2011-02-14 12:27:13 UTC
.
Comment 4 jsc 2011-02-14 12:39:50 UTC
jsc -> nn: one for you? If not please delegate it ... 
Comment 5 niklas.nebel 2011-02-21 15:29:35 UTC
Fixed in CWS "calc66".
Comment 6 niklas.nebel 2011-03-15 13:42:19 UTC
Reassigning to QA for verification.
Comment 7 kla 2011-03-18 11:09:59 UTC
Seen ok in cws calc66 -> verified